Debian Bug report logs - #449049
must not use /sbin/MAKEDEV

version graph

Package: powermgmt-base; Maintainer for powermgmt-base is Chris Hanson <cph@debian.org>; Source for powermgmt-base is src:powermgmt-base.

Reported by: Justin Pryzby <jpryzby+d@quoininc.com>

Date: Fri, 2 Nov 2007 16:48:01 UTC

Severity: normal

Tags: patch

Found in versions powermgmt-base/1.29, powermgmt-base/1.30+nmu1

Fixed in version powermgmt-base/1.31

Done: Chris Hanson <cph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#449049; Package powermgmt-base. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <jpryzby+d@quoininc.com>:
New Bug report received and forwarded. Copy sent to Chris Hanson <cph@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Justin Pryzby <jpryzby+d@quoininc.com>
To: submit@bugs.debian.org
Subject: powermgmt-base: /sbin/MAKEDEV not /dev/
Date: Fri, 2 Nov 2007 12:36:08 -0400
Package: powermgmt-base
Version: 1.29

package:makedev contains /sbin/MAKEDEV and its initscript creates the
link /dev/MAKEDEV => /sbin/MAKEDEV.  powermgmt-base.postinst does:
cd /dev && ./MAKEDEV -v apm; but the link isn't apparently guaranteed
to exist when this is called.

I'm building a debian-live ISO image which triggers this, though I'm
not sure I guess something is pulling it in as a dependency.




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#449049; Package powermgmt-base. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. Full text and rfc822 format available.

Message #10 received at 449049@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 449049@bugs.debian.org
Subject: Re: powermgmt-base: /sbin/MAKEDEV not /dev/
Date: Thu, 27 Dec 2007 22:51:02 +0100
retitle 449049 postinst incomplete if installed in chroot
tags 449049 +patch
thanks

Please change your postinst script to call /sbin/MAKEDEV. The link in 
/dev is not available in chroots, and thus making your postinst be 
incomplete if the package is installed into a chroot.

Besides the incompleteness, it also gives an annoying warning about the 
missing MAKEDEV.

--- powermgmt-base.postinst.old 2007-12-27 22:48:09.000000000 +0100
+++ powermgmt-base.postinst     2007-12-27 22:48:22.000000000 +0100
@@ -4,7 +4,7 @@

 case "${1}" in
 (configure)
-    cd /dev && ./MAKEDEV -v apm || true
+    cd /dev && /sbin/MAKEDEV -v apm || true
     FN="/etc/modprobe.d/apm"
     if [ -f "${FN}" ] && md5sum --check --status > /dev/null 2>&1 << EOF
 05bec108b10c64c5a614cf4576e5d66a  ${FN}

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Changed Bug title to `postinst incomplete if installed in chroot' from `powermgmt-base: /sbin/MAKEDEV not /dev/'. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 27 Dec 2007 21:54:11 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 27 Dec 2007 21:54:12 GMT) Full text and rfc822 format available.

Reply sent to Chris Hanson <cph@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Justin Pryzby <jpryzby+d@quoininc.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #19 received at 449049-close@bugs.debian.org (full text, mbox):

From: Chris Hanson <cph@debian.org>
To: 449049-close@bugs.debian.org
Subject: Bug#449049: fixed in powermgmt-base 1.30
Date: Sun, 17 Feb 2008 21:02:03 +0000
Source: powermgmt-base
Source-Version: 1.30

We believe that the bug you reported is fixed in the latest version of
powermgmt-base, which is due to be installed in the Debian FTP archive:

powermgmt-base_1.30.dsc
  to pool/main/p/powermgmt-base/powermgmt-base_1.30.dsc
powermgmt-base_1.30.tar.gz
  to pool/main/p/powermgmt-base/powermgmt-base_1.30.tar.gz
powermgmt-base_1.30_i386.deb
  to pool/main/p/powermgmt-base/powermgmt-base_1.30_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449049@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Hanson <cph@debian.org> (supplier of updated powermgmt-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 17 Feb 2008 15:43:30 -0500
Source: powermgmt-base
Binary: powermgmt-base
Architecture: source i386
Version: 1.30
Distribution: unstable
Urgency: low
Maintainer: Chris Hanson <cph@debian.org>
Changed-By: Chris Hanson <cph@debian.org>
Description: 
 powermgmt-base - Common utils and configs for power management
Closes: 449049
Changes: 
 powermgmt-base (1.30) unstable; urgency=low
 .
   * debian/control: bump standards-version (no changes).
   * Use /sbin/MAKEDEV rather than /dev/MAKEDEV.  (closes: Bug#449049)
Files: 
 d63710642e594c34c9786f65539b3036 510 utils optional powermgmt-base_1.30.dsc
 f3087d133fc6cc9d9697cee6ed4c17c1 7267 utils optional powermgmt-base_1.30.tar.gz
 11efbc1ee4bf0bb2df64b3e01d8649e0 11024 utils optional powermgmt-base_1.30_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHuJzs46qC2Bs1LAERAtg2AJ97wSEuBdNTYANBXXoLSw5TYVokNACfQsh5
86R3fT2Kz1VeLDMF4AUd4mQ=
=vCo4
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#449049; Package powermgmt-base. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. Full text and rfc822 format available.

Message #24 received at 449049@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Justin Pryzby <jpryzby+d@quoininc.com>, 449049@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#449049: powermgmt-base: /sbin/MAKEDEV not /dev/
Date: Sun, 24 Feb 2008 01:20:00 +0100
[Message part 1 (text/plain, inline)]
reopen 449049
retitle 449049 must not use /sbin/MAKEDEV
thanks

On Nov 02, Justin Pryzby <jpryzby+d@quoininc.com> wrote:

> package:makedev contains /sbin/MAKEDEV and its initscript creates the
> link /dev/MAKEDEV => /sbin/MAKEDEV.  powermgmt-base.postinst does:
> cd /dev && ./MAKEDEV -v apm; but the link isn't apparently guaranteed
> to exist when this is called.
It is. If it does not exist then your system is broken.
If udev is installed but makedev is not, /sbin/MAKEDEV will not exist
but /dev/MAKEDEV will. /dev/MAKEDEV is the correct interface and is what
is used by other packages.

BTW, please remove the dependency on modutils, it's not in the archive
anymore. (I also wonder if the device created by MAKEDEV is still
provided by modern kernels.)

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sun, 24 Feb 2008 02:03:03 GMT) Full text and rfc822 format available.

Changed Bug title to `must not use /sbin/MAKEDEV' from `postinst incomplete if installed in chroot'. Request was from md@Linux.IT (Marco d'Itri) to control@bugs.debian.org. (Sun, 24 Feb 2008 02:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#449049; Package powermgmt-base. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. Full text and rfc822 format available.

Message #33 received at 449049@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: "Marco d'Itri" <md@Linux.IT>
Cc: 449049@bugs.debian.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#449049: powermgmt-base: /sbin/MAKEDEV not /dev/
Date: Sun, 24 Feb 2008 00:32:28 -0500
On Sun, Feb 24, 2008 at 01:20:00AM +0100, Marco d'Itri wrote:
> reopen 449049
> retitle 449049 must not use /sbin/MAKEDEV
> thanks
> 
> On Nov 02, Justin Pryzby <jpryzby+d@quoininc.com> wrote:
> 
> > package:makedev contains /sbin/MAKEDEV and its initscript creates the
> > link /dev/MAKEDEV => /sbin/MAKEDEV.  powermgmt-base.postinst does:
> > cd /dev && ./MAKEDEV -v apm; but the link isn't apparently guaranteed
> > to exist when this is called.
> It is. If it does not exist then your system is broken.
What about under a chroot environment (like live-helper)?  Should all
the packages that do cd /dev && ./MAKEDEV actually do the udev
/proc/1/root test?  Or should MAKEDEV itself test /proc/1/root = / &&
exit?




Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#449049; Package powermgmt-base. Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. Full text and rfc822 format available.

Message #38 received at 449049@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Justin Pryzby <justinpryzby@users.sourceforge.net>
Cc: 449049@bugs.debian.org, Daniel Baumann <daniel@debian.org>
Subject: Re: Bug#449049: powermgmt-base: /sbin/MAKEDEV not /dev/
Date: Sun, 24 Feb 2008 11:47:29 +0100
[Message part 1 (text/plain, inline)]
On Feb 24, Justin Pryzby <justinpryzby@users.sourceforge.net> wrote:

> What about under a chroot environment (like live-helper)?  Should all
chroot environments should be built with a working (for appropriate
values of "working") /dev/MAKEDEV.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#449049; Package powermgmt-base. (Sun, 04 Jan 2009 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jens Kapitza <j.kapitza@schwarze-allianz.de>:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. (Sun, 04 Jan 2009 13:57:06 GMT) Full text and rfc822 format available.

Message #43 received at 449049@bugs.debian.org (full text, mbox):

From: Jens Kapitza <j.kapitza@schwarze-allianz.de>
To: 449049@bugs.debian.org
Subject: powermgmt-base: test if makedev is used to avoid error message
Date: Sun, 04 Jan 2009 14:54:20 +0100
Subject: powermgmt-base: test if makedev is used to avoid error message
Followup-For: Bug #449049
Package: powermgmt-base
Version: 1.30+nmu1

*** Please type your report below this line ***

to avoid error messages in script  powermgmt-base.postinst
it should test if MAKEDEV is used.

7c7
<     cd /dev && /sbin/MAKEDEV -v apm || true
---
>     test -x /sbin/MAKEDEV && cd /dev && /sbin/MAKEDEV -v apm



-- System Information:
Debian Release: 5.0
 APT prefers unstable
 APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.28 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages powermgmt-base depends on:
ii  libc6                         2.7-16     GNU C Library: Shared libraries
ii  module-init-tools             3.4-1      tools for managing Linux 
kernel mo
ii  udev                          0.125-7    /dev/ and hotplug 
management daemo

powermgmt-base recommends no packages.

powermgmt-base suggests no packages.

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Chris Hanson <cph@debian.org>:
Bug#449049; Package powermgmt-base. (Thu, 15 Oct 2009 14:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Liontooth <lionteeth@cogweb.net>:
Extra info received and forwarded to list. Copy sent to Chris Hanson <cph@debian.org>. (Thu, 15 Oct 2009 14:15:06 GMT) Full text and rfc822 format available.

Message #48 received at 449049@bugs.debian.org (full text, mbox):

From: David Liontooth <lionteeth@cogweb.net>
To: Debian Bug Tracking System <449049@bugs.debian.org>
Subject: powermgmt-base: Still not fixed
Date: Thu, 15 Oct 2009 07:09:21 -0700
Package: powermgmt-base
Version: 1.30+nmu1
Severity: normal


Setting up powermgmt-base (1.30+nmu1) ...
/var/lib/dpkg/info/powermgmt-base.postinst: line 7: /sbin/MAKEDEV: No such file or directory

The proposed fix seems to work:

 test -x /sbin/MAKEDEV && cd /dev && /sbin/MAKEDEV -v apm

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/16 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)
Shell: /bin/sh linked to /bin/bash

Versions of packages powermgmt-base depends on:
ii  libc6                         2.9-25     GNU C Library: Shared libraries
ii  module-init-tools             3.10-3     tools for managing Linux kernel mo
ii  udev                          0.141-2    /dev/ and hotplug management daemo

powermgmt-base recommends no packages.

powermgmt-base suggests no packages.

-- no debconf information




Reply sent to Chris Hanson <cph@debian.org>:
You have taken responsibility. (Wed, 02 Dec 2009 10:57:06 GMT) Full text and rfc822 format available.

Notification sent to Justin Pryzby <jpryzby+d@quoininc.com>:
Bug acknowledged by developer. (Wed, 02 Dec 2009 10:57:06 GMT) Full text and rfc822 format available.

Message #53 received at 449049-close@bugs.debian.org (full text, mbox):

From: Chris Hanson <cph@debian.org>
To: 449049-close@bugs.debian.org
Subject: Bug#449049: fixed in powermgmt-base 1.31
Date: Wed, 02 Dec 2009 10:53:19 +0000
Source: powermgmt-base
Source-Version: 1.31

We believe that the bug you reported is fixed in the latest version of
powermgmt-base, which is due to be installed in the Debian FTP archive:

powermgmt-base_1.31.dsc
  to main/p/powermgmt-base/powermgmt-base_1.31.dsc
powermgmt-base_1.31.tar.gz
  to main/p/powermgmt-base/powermgmt-base_1.31.tar.gz
powermgmt-base_1.31_i386.deb
  to main/p/powermgmt-base/powermgmt-base_1.31_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 449049@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Hanson <cph@debian.org> (supplier of updated powermgmt-base package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 02 Dec 2009 01:33:15 -0800
Source: powermgmt-base
Binary: powermgmt-base
Architecture: source i386
Version: 1.31
Distribution: unstable
Urgency: low
Maintainer: Chris Hanson <cph@debian.org>
Changed-By: Chris Hanson <cph@debian.org>
Description: 
 powermgmt-base - Common utils and configs for power management
Closes: 449049 546879 555905
Changes: 
 powermgmt-base (1.31) unstable; urgency=low
 .
   * debian/control: Remove dependency on modutils.
   * debian/powermgmt-base.postinst: Don't use /sbin/MAKEDEV.
     (closes: Bug#449049)
   * on_ac_power: Use /sys/class/power_supply if present on *all* systems,
     not just acpi systems, as this should be the preferred abstraction on
     all platforms.  LP: #321219.  (closes: Bug#555905)
   * debian/control: Reverse order of udev and makedev.
     (closes: Bug#546879)
   * debian/control: Bump standards-version (no changes).
   * debian/copyright: Update GPL reference to include version.
Checksums-Sha1: 
 013512c108a0024ebaeb1acfb1f914edee060518 730 powermgmt-base_1.31.dsc
 a9e235bf1e28dea1ba9259eb364a8e33c1dfcb7b 10015 powermgmt-base_1.31.tar.gz
 98855a06b52ae2947b42fd46602e8ea90b3e6121 11650 powermgmt-base_1.31_i386.deb
Checksums-Sha256: 
 70b2ecc3aad65826779af33b38cbcd4eb813e63585398374de83924607692ef1 730 powermgmt-base_1.31.dsc
 cfa68cbb381f9eeef2c4e4f50abd864e951aaa58f6ca647d8b60360cd1d22024 10015 powermgmt-base_1.31.tar.gz
 c548b1642f770d817e9e93e2e63d4931c879465d88fcab16ec12476a96645980 11650 powermgmt-base_1.31_i386.deb
Files: 
 a3bc2bf9c7d18581ae06ba5b66cca212 730 utils optional powermgmt-base_1.31.dsc
 6e57e71d0cd2ef3fbeb7b031c7f24f52 10015 utils optional powermgmt-base_1.31.tar.gz
 868c3d16c12fe5f81b5d5564501d0201 11650 utils optional powermgmt-base_1.31_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksWNHIACgkQ46qC2Bs1LAGY4gCfQcxyXCEBm6lh6yWqFwfpAcIS
ojcAnjfc/ZMzpMiSAibRHW56PMkf6pvu
=n5Xz
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 22 Jan 2010 07:34:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:03:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.